## org.apache.xerces.xs
Interface XSNotationDeclaration

All Superinterfaces:
  XSObject

public interface XSNotationDeclaration
extends XSObject

This interface represents the Notation Declaration schema component.

Method Summary
`XSAnnotation` `getAnnotation()` An [annotation] if it exists, otherwise `null`.
`java.lang.String` `getPublicId()` The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` `getSystemId()` The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    public java.lang.String getPublicId()

  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### getAnnotation

    public XSAnnotation getAnnotation()

  An [annotation] if it exists, otherwise `null`.

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.